<?php
$wp_customize->add_section(
    'features_area',
    array(
        'title' => __('Features Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);
$wp_customize->add_setting(
    'features_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'features_area_disable',
        array(
            'settings'      => 'features_area_disable',
            'section'       => 'features_area',
            'label'         => __( 'Disable Section', 'luzuk-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-premium' ),
                'off' => __( 'No', 'luzuk-premium' )
            ),
        )
    )
);


backgroundManager($wp_customize, 'features', 'features_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'featuresarea_padding', 'features_area', 'Section Padding:');

$wp_customize->add_setting(
    'features_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'features_areaTpadding',
    array(
        'settings'      => 'features_areaTpadding',
        'section'       => 'features_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'features_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'features_areaBpadding',
    array(
        'settings'      => 'features_areaBpadding',
        'section'       => 'features_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);
    $wp_customize->add_setting(
        'fea_title_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'fea_title_heading',
            array(
                'settings'      => 'fea_title_heading',
                'section'       => 'features_area',
                'label'         => __( 'Section Heading , Sub Heading', 'luzuk-premium' ),
            )
        )
    );    
    $wp_customize->add_setting(
        'fea_subtitle',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Heading Here', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'fea_subtitle',
        array(
            'settings'      => 'fea_subtitle',
            'section'       => 'features_area',
            'type'          => 'text',
            'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
        )
    );
addColorPalatOption($wp_customize, 'fea_secsubtitle_color', 'features_area', 'Section Sub Heading Color ', '#09c567');

       $wp_customize->add_setting(
        'fea_maintitle',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'OUR FEATURES', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'fea_maintitle',
        array(
            'settings'      => 'fea_maintitle',
            'section'       => 'features_area',
            'type'          => 'text',
            'label'         => __( 'Section Heading', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'fea_sectitle_color', 'features_area', 'Section Heading Color ', '#002a45');

addColorPalatOption($wp_customize, 'fea_sectitlebor_color', 'features_area', 'Section Heading Border Color ', '#09c567');

$wp_customize->add_setting('features_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'features_area_lbl',
        array(
            'settings'      => 'features_area_lbl',
            'section'       => 'features_area',
            'label'         => __( 'Note1:', 'Luzuk' ),  
            'description'   => __( 'Changes will not reflect unless you select an icon for page', 'Luzuk' ),
        )
    )
);

$wp_customize->add_setting('features_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'features_npp_heading',
        array(
            'settings'      => 'features_npp_heading',
            'section'       => 'features_area',
            'label'         => __( 'Number Of Features', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('features_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
    'features_npp_count',
    array(
        'settings'      => 'features_npp_count',
        'section'       => 'features_area',
        'type'          => 'select',
        'label'         => __( 'Number of Features plan to show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8)
    )
);
for( $i = 1; $i <= 8; $i++ ){
    $wp_customize->add_setting(
        'features_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'features_header'.$i,
            array(
                'settings'      => 'features_header'.$i,
                'section'       => 'features_area',
                'label'         => __( 'Features plan ', 'luzuk-premium' ).$i
            )
        )
    );



lzAddImageElement($wp_customize, 'pro_b_page_icon'.$i, 'features_area', $label="Recommended Image Size: 290X275px");


lzAddElement($wp_customize, 'pro_b_page_title'.$i, 'features_area', $type = 'text', $label="Section Title", $callback ='luzuk_sanitize_text', $default='Heading Here');

lzAddElement($wp_customize, 'pro_b_page_description'.$i, 'features_area', $type = 'textarea', $label="Description", $callback ='luzuk_sanitize_text', $default='Vivamus feugiat, lacus eu suscipit mattis, tortor mi aliquam leo, quis laoreet ante sem sed sapien.');

lzAddElement($wp_customize, 'ourfeatured_page_url_'.$i, 'features_area', $type = 'text', $label="Featured Page Link", $callback ='esc_url', $default='Add link here');

}

lzCustomLable($wp_customize, 'fea_sectionclr', 'features_area', 'Section Color');

addColorPalatOption($wp_customize, 'featuresarea_fimghvColor', 'features_area', 'Section Image Hover Color', '#002a45');

addColorPalatOption($wp_customize, 'featuresarea_ficonColor', 'features_area', 'Section Icon Color', '#fff');

addColorPalatOption($wp_customize, 'featuresarea_ficonhoverColor', 'features_area', 'Section Icon Hover Color', '#09c567');

addColorPalatOption($wp_customize, 'featuresarea_siconColor', 'features_area', 'Section Icon Background Color', '#09c567');

addColorPalatOption($wp_customize, 'featuresarea_siconhoverColor', 'features_area', 'Section Icon Background Hover Color', '#002a45');

addColorPalatOption($wp_customize, 'featuresarea_BoxttlColor', 'features_area', 'Features Title Color', '#002a45');

addColorPalatOption($wp_customize, 'featuresarea_BoxttlhvColor', 'features_area', 'Features Title Hover Color', '#09c567');

addColorPalatOption($wp_customize, 'featuresarea_BoxdescColor', 'features_area', 'Section Description Color', '#8c8c8c');

addColorPalatOption($wp_customize, 'featuresarea_bxsldearow', 'features_area', 'Section Slider Arrow Color', '#8c8c8c');

addColorPalatOption($wp_customize, 'featuresarea_bxsldearowhv', 'features_area', 'Section Slider Arrow Hover Color', '#09c567');



 
